Bug 1784793 - update openshift/opencontainers/runc dependencies
Summary: update openshift/opencontainers/runc dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.5.0
Assignee: Ryan Phillips
QA Contact: Weinan Liu
URL:
Whiteboard:
Depends On:
Blocks: 1806176
TreeView+ depends on / blocked
 
Reported: 2019-12-18 10:55 UTC by Lukasz Szaszkiewicz
Modified: 2020-07-13 17:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1806176 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:12:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 24581 0 None closed Bug 1784793: kubelet dependency bumps (runc, cadvisor, and golang/sys) 2020-07-23 16:17:21 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:13:19 UTC

Description Lukasz Szaszkiewicz 2019-12-18 10:55:44 UTC
As part of 1.17 release, upstream Kubernetes updated its opencontainers/runc dependency in [1].

As a consequence of that upgrade, they renamed `cgroupsystemd.Manager` struct in [2].

Since Openshift uses a fork of opencontainers/runc during the rebase to 1.17 I had to revert the rename in [3] because we miss the commit that introduced the change.

Please add that missing commit to openshift/opencontainers/runc repository. 


[1] https://github.com/kubernetes/kubernetes/pull/83527/commits 
[2]https://github.com/kubernetes/kubernetes/pull/83527/commits/b9cfb193211a85eed34532464ff4e71756d6ae77
[3] https://github.com/openshift/origin/pull/24286

Comment 3 Weinan Liu 2020-03-16 11:10:57 UTC
1.17.0 got rebased in https://github.com/openshift/origin/pull/24286 to add the missing commit

Comment 5 errata-xmlrpc 2020-07-13 17:12:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.